[@rxap/forms](../wiki/globals) / ValidatorFn

# Type Alias: ValidatorFn()\<T, E\>

> **ValidatorFn**\<`T`, `E`\>: (`control`) => [`ValidationErrors`](../wiki/TypeAlias.ValidationErrors)\<`E`\> \| `null`

Defined in: [packages/angular/forms/src/lib/types.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/types.ts#L16)

## Type Parameters

• **T** = `any`

• **E** = `any`

## Parameters

### control

[`AbstractControl`](../wiki/Interface.AbstractControl)\<`T`\>

## Returns

[`ValidationErrors`](../wiki/TypeAlias.ValidationErrors)\<`E`\> \| `null`
